NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Tooling.DirectUnbendBuilder Class Reference

The builder contains all inputs for direct unbend. More...

Inheritance diagram for NXOpen.Tooling.DirectUnbendBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Bendtypes { Unbend, Rebend, Prebend, Overbend }
 unbend operations. More...
 

Properties

unsafe bool AlterResult [get, set]
 Returns or sets the switch to set if use an alternate result. More...
 
unsafe NXOpen.Body BaseBody [get, set]
 Returns or sets the base body. More...
 
unsafe double BendAngle1 [get, set]
 Returns or sets the first angle of prebend. More...
 
unsafe double BendAngle2 [get, set]
 Returns or sets the second angle of prebend. More...
 
unsafe double BendAngle3 [get, set]
 Returns or sets the third angle of prebend. More...
 
unsafe double BendAngle4 [get, set]
 Returns or sets the fourth angle of prebend. More...
 
unsafe double BendAngle5 [get, set]
 Returns or sets the fifth angle of prebend. More...
 
unsafe double BendAngle6 [get, set]
 Returns or sets the sixth angle of prebend. More...
 
unsafe double BendDevLength [get, set]
 Returns or sets the operation to developed length of a bend. More...
 
unsafe double BendNeutralFactor [get, set]
 Returns or sets the operation of k factor for a single bend. More...
 
unsafe
NXOpen.Tooling.DirectUnfoldBuilder.Bend 
BendNumPrebends [get, set]
 Returns or sets the number of prebends. More...
 
unsafe bool KeepRadFixed [get, set]
 Returns or sets the keep radius fixed. More...
 
unsafe double OverbendAngle [get, set]
 Returns or sets the overbend angle. More...
 
unsafe NXOpen.SelectEdgeList RefObject [get]
 Returns the reference objects. More...
 
unsafe bool ResizeRadius [get, set]
 Returns or sets the resize radius. More...
 
unsafe NXOpen.SelectFaceList SelBend [get]
 Returns the selection of bends. More...
 
unsafe
NXOpen.Tooling.DirectUnbendBuilder.Bendtypes 
Type [get, set]
 Returns or sets the type. More...
 
unsafe
NXOpen.Assemblies.SelectComponent 
WorkPart [get]
 Returns the work part. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

The builder contains all inputs for direct unbend.

To create a new instance of this class, use NXOpen.Tooling.DirectUnfoldCollection.CreateDirectUnbendBuilder

Default values.

Property Value

AlterResult

0

BendAngle1

30

BendAngle2

30

BendAngle3

30

BendAngle4

30

BendAngle5

30

BendAngle6

30

BendDevLength

0.0

BendNeutralFactor

0.4

BendNumPrebends

Two

KeepRadFixed

0

OverbendAngle

0

Created in NX6.0.0

Member Enumeration Documentation

unbend operations.

Enumerator
Unbend 

unbend operation

Rebend 

rebend operation

Prebend 

prebend operation

Overbend 

overbend operation

Property Documentation

unsafe bool NXOpen.Tooling.DirectUnbendBuilder.AlterResult
getset

Returns or sets the switch to set if use an alternate result.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Body NXOpen.Tooling.DirectUnbendBuilder.BaseBody
getset

Returns or sets the base body.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.DirectUnbendBuilder.BendAngle1
getset

Returns or sets the first angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.DirectUnbendBuilder.BendAngle2
getset

Returns or sets the second angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.DirectUnbendBuilder.BendAngle3
getset

Returns or sets the third angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.DirectUnbendBuilder.BendAngle4
getset

Returns or sets the fourth angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.DirectUnbendBuilder.BendAngle5
getset

Returns or sets the fifth angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.DirectUnbendBuilder.BendAngle6
getset

Returns or sets the sixth angle of prebend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.DirectUnbendBuilder.BendDevLength
getset

Returns or sets the operation to developed length of a bend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.DirectUnbendBuilder.BendNeutralFactor
getset

Returns or sets the operation of k factor for a single bend.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.DirectUnfoldBuilder.Bend NXOpen.Tooling.DirectUnbendBuilder.BendNumPrebends
getset

Returns or sets the number of prebends.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.DirectUnbendBuilder.KeepRadFixed
getset

Returns or sets the keep radius fixed.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.DirectUnbendBuilder.OverbendAngle
getset

Returns or sets the overbend angle.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectEdgeList NXOpen.Tooling.DirectUnbendBuilder.RefObject
get

Returns the reference objects.

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.DirectUnbendBuilder.ResizeRadius
getset

Returns or sets the resize radius.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectFaceList NXOpen.Tooling.DirectUnbendBuilder.SelBend
get

Returns the selection of bends.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Tooling.DirectUnbendBuilder.Bendtypes NXOpen.Tooling.DirectUnbendBuilder.Type
getset

Returns or sets the type.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Assemblies.SelectComponent NXOpen.Tooling.DirectUnbendBuilder.WorkPart
get

Returns the work part.

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.